curl --request PUT \
--url https://app.freyavoice.ai/api/v2/insights/{insightId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"enums": [
"<string>"
],
"defaultValue": "<string>",
"isRequired": true
}
'{
"success": true,
"data": {
"message": "<string>",
"result": {
"insight": {
"id": "<string>",
"workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"type": "<string>",
"isRequired": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"createdBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>",
"enums": [],
"defaultValue": "<string>",
"updatedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}
}
}Updates a structured data field definition. Type is immutable after creation.
curl --request PUT \
--url https://app.freyavoice.ai/api/v2/insights/{insightId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"enums": [
"<string>"
],
"defaultValue": "<string>",
"isRequired": true
}
'{
"success": true,
"data": {
"message": "<string>",
"result": {
"insight": {
"id": "<string>",
"workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"type": "<string>",
"isRequired": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"createdBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>",
"enums": [],
"defaultValue": "<string>",
"updatedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
^\d+$